Loading...
Searching...
No Matches
FileBrowseWidget Class Reference
Inheritance diagram for FileBrowseWidget:

## Public Types

enum | Mode { ExistingFile = 0 , ExecutableFile }

## Public Slots

void | setFileName (const QString &fname)

## Signals

void | fileNameChanged (const QString &filename)

## Public Member Functions

| FileBrowseWidget (QWidget *theParent=nullptr)
QString | fileName () const
bool | validFileName () const
QPushButton * | browseButton () const
QLineEdit * | lineEdit () const
void | setMode (Mode m)
Mode | mode () const

## Static Public Member Functions

static QString | searchSystemPathForFile (const QString &exec)
| Search the environment variable PATH for a file with the specified name.
static QStringList | searchSystemPathForFiles (const QStringList &execs)
| Search the environment variable PATH for files with the specified names.

## Member Function Documentation

## searchSystemPathForFile()

QString searchSystemPathForFile | ( | const QString & | exec | ) |

static

Parameters

  exec | The name of the file.

Returns
  The absolute path to the file on the system, or a null QString if not found.

## searchSystemPathForFiles()

QStringList searchSystemPathForFiles | ( | const QStringList & | execs | ) |

static

Parameters

  execs | The names of the files.

Returns
  The absolute paths to the files on the system, or an empty list if not found.

The documentation for this class was generated from the following file:

- filebrowsewidget.h